지갑
지갑 전송 가져오기
페이지네이션을 사용하여 Solana 지갑 주소의 모든 토큰 및 SOL 전송을 가져옵니다.
GET
/
v1
/
wallet
/
{wallet}
/
transfers
Get token transfers
curl --request GET \
--url 'https://api.helius.xyz/v1/wallet/{wallet}/transfers?api-key='import requests
url = "https://api.helius.xyz/v1/wallet/{wallet}/transfers?api-key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.helius.xyz/v1/wallet/{wallet}/transfers?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"signature": "5wHu1qwD7Jsj3xqWjdSEJmYr3Q5f5RjXqjqQJ7jqEj7jqEj7jqEj7jqEj7jqEj7jqE",
"timestamp": 1704067200,
"direction": "in",
"counterparty": "HXsKP7wrBWaQ8T2Vtjry3Nj3oUgwYcqq9vrHDM12G664",
"mint": "So11111111111111111111111111111111111111112",
"amount": 1.5,
"amountRaw": "1500000000",
"decimals": 9,
"symbol": "SOL"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "5wHu1qwD7Jsj3xqWjdSEJmYr3Q5f5RjXqjqQJ7jqEj7jqEj7jqEj7jqEj7jqEj7jqE"
}
}{
"error": "Invalid wallet address",
"code": 400,
"details": "'invalid-address' is not a valid Solana address"
}{
"error": "API key required. Pass via ?api-key=xxx or X-Api-Key header",
"code": 401
}{
"error": "RATE_LIMIT_EXCEEDED",
"code": 429,
"details": "Too many requests. Retry after 2 seconds."
}{
"error": "INTERNAL_ERROR",
"code": 500,
"details": "An unexpected error occurred. Please retry."
}각 요청은 100 크레딧이 소모됩니다.
요청 매개변수
string
기본값:"GQUtvPx89ZNCwmvQqFmH59bJcU8fW8siETpaxod7Aydz"
필수
Solana 지갑 주소(base58 인코딩)
number
기본값:"50"
반환할 최대 전송 수
string
이전 응답의 페이지네이션 커서
인증
ApiKeyQueryApiKeyHeader
API key passed as query parameter
경로 매개변수
Solana wallet address (base58 encoded)
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$쿼리 매개변수
Maximum number of transfers to return
필수 범위:
1 <= x <= 100Pagination cursor from previous response
이 페이지가 도움이 되었나요?
⌘I
Get token transfers
